aboutsummaryrefslogtreecommitdiff
path: root/test.bash
diff options
context:
space:
mode:
Diffstat (limited to 'test.bash')
-rwxr-xr-xtest.bash6
1 files changed, 6 insertions, 0 deletions
diff --git a/test.bash b/test.bash
index f94f4d4..174236e 100755
--- a/test.bash
+++ b/test.bash
@@ -1,4 +1,7 @@
#!/bin/bash
+#
+# test.bash runs the gocryptfs test suite against $TMPDIR,
+# or, if unset, /var/tmp.
set -eu
@@ -72,6 +75,9 @@ else
echo "shellcheck not installed - skipping"
fi
+echo -n "Testing on TMPDIR=$TMPDIR, filesystem: "
+findmnt --noheadings --target "$TESTDIR" --output FSTYPE,OPTIONS || true
+
EXTRA_ARGS=""
if [[ $VERBOSE -eq 1 ]]; then
# Disabling parallelism disables per-package output buffering, hence enabling